Bug 824066 - SELinux is preventing /lib/systemd/systemd-logind from using the 'sys_tty_config' capabilities.
SELinux is preventing /lib/systemd/systemd-logind from using the 'sys_tty_con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8889bcc55b793733123fd9a1341...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 12:34 EDT by notsway
Modified: 2012-05-24 06:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 06:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description notsway 2012-05-22 12:34:25 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.5-2.fc16.x86_64
reason:         SELinux is preventing /lib/systemd/systemd-logind from using the 'sys_tty_config' capabilities.
time:           Tue 22 May 2012 10:03:39 PM IST

description:
:SELinux is preventing /lib/systemd/systemd-logind from using the 'sys_tty_config' capabilities.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should have the sys_tty_config capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:system_r:systemd_logind_t:s0
:Target Objects                Unknown [ capability ]
:Source                        systemd-logind
:Source Path                   /lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-37-19.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-46.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.5-2.fc16.x86_64 #1 SMP Tue May 8
:                              11:24:50 UTC 2012 x86_64 x86_64
:Alert Count                   133
:First Seen                    Sat 12 May 2012 07:37:38 PM IST
:Last Seen                     Tue 22 May 2012 10:03:09 PM IST
:Local ID                      4073382e-2666-4d14-86f5-f52d7baffdae
:
:Raw Audit Messages
:type=AVC msg=audit(1337704389.869:222): avc:  denied  { sys_tty_config } for  pid=973 comm="systemd-logind" capability=26  scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:system_r:systemd_logind_t:s0 tclass=capability
:
:
:type=SYSCALL msg=audit(1337704389.869:222): arch=x86_64 syscall=ioctl success=yes exit=0 a0=e a1=5401 a2=7ffffa0575a8 a3=0 items=0 ppid=1 pid=973 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,systemd_logind_t,capability,sys_tty_config
:
:audit2allow
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t self:capability sys_tty_config;
:
:audit2allow -R
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t self:capability sys_tty_config;
:
Comment 1 Miroslav Grepl 2012-05-24 06:07:19 EDT
Please update to the latest policy.

Note You need to log in before you can comment on or make changes to this bug.